Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.tree
Class JMeterTreeModel

    java.lang.Object
      javax.swing.tree.DefaultTreeModel
          org.apache.jmeter.gui.tree.JMeterTreeModel

All Implemented Interfaces:
  Serializable, TreeModel

public class JMeterTreeModel
extends DefaultTreeModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultTreeModel
`asksAllowsChildren, listenerList, root`

Constructor Summary
`JMeterTreeModel()`
`JMeterTreeModel(Object o)` Deprecated. - only for use by JMeter class!
`JMeterTreeModel(TestElement tp, TestElement wb)`

Method Summary
`JMeterTreeNode` | `addComponent(TestElement component, JMeterTreeNode node)`
`HashTree` | `addSubTree(HashTree subTree, JMeterTreeNode current)` Adds the sub tree at the given node.
`void` | `clearTestPlan()` Clear the test plan, and use default node for test plan and workbench.
`void` | `clearTestPlan(TestElement testPlan)` Clear the test plan, and use specified node for test plan and default node for workbench N.B.
`HashTree` | `getCurrentSubTree(JMeterTreeNode node)`
`JMeterTreeNode` | `getNodeOf(TestElement userObject)` Get the node for a given TestElement object.
`List` | `getNodesOfType(Class type)` Returns a list of tree nodes that hold objects of the given class type.
`HashTree` | `getTestPlan()`
`void` | `removeNodeFromParent(JMeterTreeNode node)`

Methods inherited from class javax.swing.tree.DefaultTreeModel
`addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMeterTreeModel

    public JMeterTreeModel(TestElement tp,
                           TestElement wb)

### JMeterTreeModel

    public JMeterTreeModel()

### JMeterTreeModel

    public JMeterTreeModel(Object o)

  Deprecated. - only for use by JMeter class!

  Hack to allow TreeModel to be used in non-GUI and headless mode.

Parameters:
  `o` - - dummy

Method Detail

### getNodesOfType

    public List getNodesOfType(Class type)

  Returns a list of tree nodes that hold objects of the given class type. If none are found, an empty list is returned.

### getNodeOf

    public JMeterTreeNode getNodeOf(TestElement userObject)

  Get the node for a given TestElement object.

### addSubTree

    public HashTree addSubTree(HashTree subTree,
                               JMeterTreeNode current)
                        throws IllegalUserActionException

  Adds the sub tree at the given node. Returns a boolean indicating whether the added sub tree was a full test plan.

  Throws:
    `IllegalUserActionException`

### addComponent

    public JMeterTreeNode addComponent(TestElement component,
                                       JMeterTreeNode node)
                                throws IllegalUserActionException

  Throws:
    `IllegalUserActionException`

### removeNodeFromParent

    public void removeNodeFromParent(JMeterTreeNode node)

### getCurrentSubTree

    public HashTree getCurrentSubTree(JMeterTreeNode node)

### getTestPlan

    public HashTree getTestPlan()

### clearTestPlan

    public void clearTestPlan()

  Clear the test plan, and use default node for test plan and workbench. N.B. Should only be called by `GuiPackage.clearTestPlan()`

### clearTestPlan

    public void clearTestPlan(TestElement testPlan)

  Clear the test plan, and use specified node for test plan and default node for workbench N.B. Should only be called by `GuiPackage.clearTestPlan(TestElement)`

  Parameters:
    `testPlan` - the node to use as the testplan top node

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.